<?php
/**
 * The template for displaying all single posts.
 *
 * @link https://developer.wordpress.org/themes/basics/template-hierarchy/#single-post
 *
 * @package Blorigan
 */

get_header();
?>

	<div id="primary" class="content-area">
		<main id="main" class="site-main" role="main">

			<?php
			while ( have_posts() ) :
				the_post();
			?>

				<?php get_template_part( 'template-parts/content', 'single' ); ?>

				<?php
				the_post_navigation(
					array(
						'next_text' => '<span class="meta-nav" aria-hidden="true">' . esc_html__( 'Next', 'blorigan' ) . '</span> ' .
							'<span class="screen-reader-text">' . esc_html__( 'Next post:', 'blorigan' ) . '</span> ' .
							'<span class="post-title">%title</span>',
						'prev_text' => '<span class="meta-nav" aria-hidden="true">' . esc_html__( 'Previous', 'blorigan' ) . '</span> ' .
							'<span class="screen-reader-text">' . esc_html__( 'Previous post:', 'blorigan' ) . '</span> ' .
							'<span class="post-title">%title</span>',
					)
				);
				?>

				<?php
				/**
				 * Hook - blorigan_action_related.
				 *
				 * @hooked: blorigan_add_related_posts - 10
				 */
				do_action( 'blorigan_action_related' );
				?>

				<?php
				// Load comment template.
				if ( comments_open() || get_comments_number() ) :
					comments_template();
				endif;
				?>

			<?php endwhile; ?>

		</main><!-- #main -->
	</div><!-- #primary -->

<?php
/**
 * Hook - blorigan_action_sidebar.
 *
 * @hooked: blorigan_add_sidebar - 10
 */
do_action( 'blorigan_action_sidebar' );

get_footer();
